Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5116)
@@ -61,5 +61,5 @@
 REAL :: taup0 = 70000
 REAL :: taudp = 500
-integer :: lev_out=10
+INTEGER :: lev_out=10
 REAL, DIMENSION (klon,klev) :: zmasse,entr0,detr0,detraincv,dqp,detrain_p,q0,qd0,tau_diss
 REAL, DIMENSION (klon,klev+1) :: fm0
@@ -127,5 +127,5 @@
             var_var(i,k) = detr0(i,k)*(varq_therm(i,k)-povariance(i,k))/zmasse(i,k)
             var_det_conv(i,k) =  a_ratqs_cv*(detrain_cv(i,k)/zmasse(i,k))
-            if (sigd(i)/=0) then
+            if (sigd(i)/=0) THEN
                var_desc_prec(i,k) = sigd(i)*(1-sigd(i))*(fqd(i,k)*tau_cumul/sigd(i))**2/tau_cumul
             else
@@ -145,9 +145,9 @@
       var_desc_conv(:,klev) = var_desc_conv(:,klev-1)
       
-      if (klein) then
+      if (klein) THEN
          do k=1,klev-1
             do i=1,klon
               qd0(:,:) = 0.0
-              if (sigd(i)/=0) then
+              if (sigd(i)/=0) THEN
                 qd0(i,k) = fqd(i,k)*tau_cumul/sigd(i) 
               endif
@@ -172,5 +172,5 @@
                  qd0(i,k) = fqd(i,k)*tau_cumul/sigd(i) 
                endif
-               if (sigt_cv(i,k)/=0) then
+               if (sigt_cv(i,k)/=0) THEN
                  q0(i,k) = fqcomp(i,k)*tau_cumul/sigt_cv(i,k)
                endif
@@ -195,5 +195,5 @@
       do k=1,klev
         do i=1,klon
-           if(q_seri(i,k)>=1E-7) then
+           IF(q_seri(i,k)>=1E-7) THEN
                ratqs_inter_(i,k) = abs(povariance(i,k))**0.5/q_seri(i,k)    
                sigma_therm(i,k) = abs(varq_therm(i,k))**0.5     ! sigma dans les thermiques
@@ -205,5 +205,5 @@
       enddo
       
-return
+RETURN
 end             
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5116)
@@ -43,5 +43,5 @@
       do l=1,klev-1
          do ig=1,ngrid
-            if (ztv(ig,l)> ztv(ig,l+1) .and. ztv(ig,1)>=ztv(ig,l) ) then
+            if (ztv(ig,l)> ztv(ig,l+1) .and. ztv(ig,1)>=ztv(ig,l) ) THEN
                alim_star(ig,l)=MAX((ztv(ig,l)-ztv(ig,l+1)),0.)  &
                          *sqrt(zlev(ig,l+1))
@@ -53,5 +53,5 @@
       do l=1,klev
          do ig=1,ngrid 
-            if (alim_star_tot(ig) > 1.e-10 ) then
+            if (alim_star_tot(ig) > 1.e-10 ) THEN
                alim_star(ig,l)=alim_star(ig,l)/alim_star_tot(ig)
             endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5116)
@@ -103,5 +103,5 @@
       real, parameter :: coef_m=1.            ! On considère un rendement pour alp_bl_fluct_m
       real, parameter :: coef_tke=1.          ! On considère un rendement pour alp_bl_fluct_tke
-      real :: zdp
+      REAL :: zdp
       real, dimension(ngrid) :: alp_int,dp_int
       real, dimension(ngrid) :: fm_tot
@@ -143,11 +143,11 @@
     do l=1,nlay-1
       do ig=1,ngrid
-        if (ok_lcl(ig)) then 
+        if (ok_lcl(ig)) THEN
 !ATTENTION,zw2 calcule en pplev
-!          if ((pplay(ig,l) .ge. pcon(ig)) .and. (pplay(ig,l+1) .le. pcon(ig))) then
+!          if ((pplay(ig,l) .ge. pcon(ig)) .and. (pplay(ig,l+1) .le. pcon(ig))) THEN
 !          klcl(ig)=l
 !          interp(ig)=(pcon(ig)-pplay(ig,klcl(ig)))/(pplay(ig,klcl(ig)+1)-pplay(ig,klcl(ig)))
 !          endif
-          if ((pplev(ig,l) >= pcon(ig)) .and. (pplev(ig,l+1) <= pcon(ig))) then
+          if ((pplev(ig,l) >= pcon(ig)) .and. (pplev(ig,l+1) <= pcon(ig))) THEN
           klcl(ig)=l
           interp(ig)=(pcon(ig)-pplev(ig,klcl(ig)))/(pplev(ig,klcl(ig)+1)-pplev(ig,klcl(ig)))
@@ -159,5 +159,5 @@
     do ig =1,ngrid
 !CR:REHABILITATION ZMAX CONTINU
-     if (ok_lcl(ig)) then 
+     if (ok_lcl(ig)) THEN
       rhobarz0(ig)=rhobarz(ig,klcl(ig))+(rhobarz(ig,klcl(ig)+1) &
                  -rhobarz(ig,klcl(ig)))*interp(ig)
@@ -214,5 +214,5 @@
 
   do ig=1,ngrid
-   if (ok_lcl(ig)) then
+   if (ok_lcl(ig)) THEN
      fraca0(ig)=fraca(ig,klcl(ig))+(fraca(ig,klcl(ig)+1) &
                -fraca(ig,klcl(ig)))*interp(ig)
@@ -258,5 +258,5 @@
      depth(ig)=zmax_moy(ig)-zlcl(ig)
      hmin(ig)=hmincoef*zlcl(ig)
-     if (depth(ig)>=10.) then
+     if (depth(ig)>=10.) THEN
        s2(ig)=(hcoef*depth(ig)+hmin(ig))**2
        n2(ig)=(1.-eps1)*fraca0(ig)*airephy(ig)/s2(ig)
@@ -275,7 +275,7 @@
 
 !CR: calcul de strig
-   if (iflag_strig==0) then
+   if (iflag_strig==0) THEN
       strig(:)=s_trig
-   else if (iflag_strig==1) then
+   else if (iflag_strig==1) THEN
       do ig=1,ngrid
 !         zcong_moy(ig)=zlcl(ig)+zmax_moy_coef*(zcong(ig)-zlcl(ig))
@@ -283,7 +283,7 @@
          strig(ig)=(zcong(ig)-zlcl(ig))**2  
       enddo
-   else if (iflag_strig==2) then
+   else if (iflag_strig==2) THEN
       do ig=1,ngrid 
-         if (h_trig>zlcl(ig)) then
+         if (h_trig>zlcl(ig)) THEN
          strig(ig)=(h_trig-zlcl(ig))**2
          else
@@ -296,5 +296,5 @@
    reuler=exp(1.)
    do ig=1,ngrid
-     if ( (depth(ig)>=10.) .and. (s_max(ig)>susqr2pi*reuler) ) then
+     if ( (depth(ig)>=10.) .and. (s_max(ig)>susqr2pi*reuler) ) THEN
       w_max(ig)=w0(ig)*(1.+sqrt(2.*log(s_max(ig)/susqr2pi)-log(2.*log(s_max(ig)/susqr2pi))))
       ale_bl_stat(ig)=0.5*w_max(ig)**2
@@ -319,5 +319,5 @@
   alp_bl_fluct_tke(ig)=3.*coef_m*rhobarz0(ig)*w0(ig)*fraca0(ig)*(therm_tke_max0(ig)-env_tke_max0(ig)) &
                       +3.*rhobarz0(ig)*w_conv(ig)*pbl_tke_max0(ig)
-    if (iflag_clos_bl>=2) then
+    if (iflag_clos_bl>=2) THEN
     alp_bl_conv(ig)=1.5*coef_m*rhobarz0(ig)*fraca0(ig)*(fraca0(ig)/(1.-fraca0(ig)))*w_conv(ig)* &
                      (w0(ig)**2)
@@ -371,5 +371,5 @@
       do k=1,nlay
          do ig=1,ngrid
-            if (k<=lalim_conv(ig).and.alim_star(ig,k)>1.e-10) then
+            if (k<=lalim_conv(ig).and.alim_star(ig,k)>1.e-10) THEN
                wght_th(ig,k)=alim_star(ig,k)
             endif
@@ -380,6 +380,6 @@
 !test pour prolonger la convection
       do ig=1,ngrid
-!v1d  if ((alim_star(ig,1).lt.1.e-10).and.(therm)) then
-      if ((alim_star(ig,1)<1.e-10)) then
+!v1d  if ((alim_star(ig,1).lt.1.e-10).and.(therm)) THEN
+      if ((alim_star(ig,1)<1.e-10)) THEN
       lalim_conv(ig)=1
       wght_th(ig,1)=1.
@@ -399,5 +399,5 @@
       do l=2,nlay
         do ig=1,ngrid
-           if(l<=lmax(ig)) THEN
+           IF(l<=lmax(ig)) THEN
            zdp=pplay(ig,l-1)-pplay(ig,l)
            alp_int(ig)=alp_int(ig)+0.5*rhobarz(ig,l)*wth3(ig,l)*zdp
@@ -407,8 +407,8 @@
       enddo
 
-      if (iflag_coupl>=3 .and. iflag_coupl<=5) then
+      if (iflag_coupl>=3 .and. iflag_coupl<=5) THEN
       do ig=1,ngrid
 !valeur integree de alp_bl * 0.5:
-        if (dp_int(ig)>0.) then
+        if (dp_int(ig)>0.) THEN
         alp_bl(ig)=alp_int(ig)/dp_int(ig)
         endif
@@ -424,5 +424,5 @@
 
 
-      return
+      RETURN
       end
 END MODULE lmdz_thermcell_alp
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5116)
@@ -53,5 +53,5 @@
 DO k=1,llmax-1
    do ig=1,ngrid
-      if (k<lalim(ig)) then
+      if (k<lalim(ig)) THEN
          alim_star2(ig)=alim_star2(ig)+alim_star(ig,k)**2  &
 &                    /(rho(ig,k)*(zlev(ig,k+1)-zlev(ig,k)))
@@ -63,5 +63,5 @@
 
 DO ig=1,ngrid
-   if (alim_star2(ig)>1.e-10) then
+   if (alim_star2(ig)>1.e-10) THEN
       f(ig)=wmax(ig)*alim_star_tot(ig)/  &
 &     (max(500.,zmax(ig))*r_aspect*alim_star2(ig))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5116)
@@ -40,8 +40,8 @@
     real, dimension(ngrid, nlay + 1) :: fup, fdn, fc, fthu, fthd, fthe, fthtot
     real, dimension(ngrid, nlay) :: tracu, tracd, traci, tracold
-    real :: www, mstar_inv
+    REAL :: www, mstar_inv
     integer ig, ilay
     real, dimension(ngrid, nlay) :: s1, s2, num !coefficients pour la resolution implicite
-    integer :: iflag_impl = 1 ! 0 pour explicite, 1 pour implicite "classique", 2 pour implicite avec entrainement et detrainement
+    INTEGER :: iflag_impl = 1 ! 0 pour explicite, 1 pour implicite "classique", 2 pour implicite avec entrainement et detrainement
 
     fdn(:, :) = 0.
@@ -60,5 +60,5 @@
     num(:, :) = 1.
 
-    if (iflag_thermals_down < 10) then
+    if (iflag_thermals_down < 10) THEN
       CALL abort_physic("thermcell_updown_dq", &
               'thermcell_down_dq = 0 or >= 10', 1)
@@ -74,7 +74,7 @@
       do ig = 1, ngrid
         !if ( lmax(ig) > nlay - 2 ) stop "les thermiques montent trop haut"
-        if (ilay<=lmax(ig) .and. lmax(ig)>1) then
+        if (ilay<=lmax(ig) .and. lmax(ig)>1) THEN
           fdn(ig, ilay) = fdn(ig, ilay + 1) + edn(ig, ilay) - ddn(ig, ilay)
-          if (fdn(ig, ilay) + ddn(ig, ilay) > 0.) then
+          if (fdn(ig, ilay) + ddn(ig, ilay) > 0.) THEN
             www = fdn(ig, ilay + 1) / (fdn(ig, ilay) + ddn(ig, ilay))
           else
@@ -90,12 +90,12 @@
     do ilay = 1, nlay, 1
       do ig = 1, ngrid
-        if (ilay<lmax(ig) .and. lmax(ig)>1) then
+        if (ilay<lmax(ig) .and. lmax(ig)>1) THEN
           fup(ig, ilay + 1) = fup(ig, ilay) + eup(ig, ilay) - dup(ig, ilay)
-          if (fup(ig, ilay + 1) + dup(ig, ilay) > 0.) then
+          if (fup(ig, ilay + 1) + dup(ig, ilay) > 0.) THEN
             www = fup(ig, ilay) / (fup(ig, ilay + 1) + dup(ig, ilay))
           else
             www = 0.
           endif
-          if (ilay == 1) then
+          if (ilay == 1) THEN
             tracu(ig, ilay) = trac(ig, ilay)
           else
@@ -126,10 +126,10 @@
     !Boucle pour calculer le flux du traceur flux updraft, flux downdraft, flux compensatoire
     !Methode explicite :
-    if(iflag_impl==0) then
+    IF(iflag_impl==0) THEN
       do ilay = 2, nlay, 1
         do ig = 1, ngrid
           !!!!ATTENTION HYPOTHESE de FLUX COMPENSATOIRE DESCENDANT ET DONC comme schema amont on va chercher trac au dessus!!!!!
           !!!! tentative de prise en compte d'un flux compensatoire montant  !!!!
-          if (fup(ig, ilay) - fdn(ig, ilay) < 0.) then
+          if (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
             CALL abort_physic("thermcell_updown_dq", 'flux compensatoire '&
                     // 'montant, cas non traite par thermcell_updown_dq', 1)
@@ -152,6 +152,6 @@
 
       !!! Reecriture du schéma explicite avec les notations du schéma implicite
-    else if(iflag_impl==-1) then
-      write(*, *) 'nouveau schéma explicite !!!'
+    else IF(iflag_impl==-1) THEN
+      WRITE(*, *) 'nouveau schéma explicite !!!'
       !!! Calcul de s1
       do ilay = 1, nlay
@@ -164,5 +164,5 @@
       do ilay = 2, nlay, 1
         do ig = 1, ngrid
-          if (fup(ig, ilay) - fdn(ig, ilay) < 0.) then
+          if (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
             CALL abort_physic("thermcell_updown_dq", 'flux compensatoire ' &
                     // 'montant, cas non traite par thermcell_updown_dq', 1)
@@ -183,5 +183,5 @@
       enddo !fin du calculer de la tendance du traceur avec la methode explicite
 
-    else if (iflag_impl==1) then
+    else if (iflag_impl==1) THEN
       do ilay = 1, nlay
         do ig = 1, ngrid
@@ -193,6 +193,6 @@
       do ilay = nlay - 1, 1, -1
         do ig = 1, ngrid
-          if((fup(ig, ilay) - fdn(ig, ilay)) < 0) then
-            write(*, *) 'flux compensatoire montant, cas non traite par thermcell_updown_dq dans le cas d une resolution implicite, ilay : ', ilay
+          if((fup(ig, ilay) - fdn(ig, ilay)) < 0) THEN
+            WRITE(*, *) 'flux compensatoire montant, cas non traite par thermcell_updown_dq dans le cas d une resolution implicite, ilay : ', ilay
             CALL abort_physic("thermcell_updown_dq", "", 1)
           else
@@ -271,5 +271,5 @@
     do ilay = nlay, 1, -1
       do ig = 1, ngrid
-        if (ilay<=lmax(ig).and.lmax(ig)>1) then
+        if (ilay<=lmax(ig).and.lmax(ig)>1) THEN
           edn(ig, ilay) = fact_thermals_down * dup(ig, ilay)
           ddn(ig, ilay) = fact_thermals_down * eup(ig, ilay)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5116)
@@ -44,6 +44,5 @@
 
     ! Old explicite scheme
-    IF (impl<=-1) then
-
+    IF (impl<=-1) THEN
       CALL thermcell_dq_o(ngrid, nlay, impl, ptimestep, fm, entr, &
               masse, q, dq, qa, lev_out)
@@ -58,5 +57,5 @@
           zzm = masse(ig, k) / ptimestep
           cfl = max(cfl, fm(ig, k) / zzm)
-          if (entr(ig, k)>zzm) then
+          if (entr(ig, k)>zzm) THEN
             PRINT*, 'entr*dt>m,1', k, entr(ig, k) * ptimestep, masse(ig, k)
             abort_message = 'entr dt > m, 1st'
@@ -76,5 +75,5 @@
           !           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
           !test
-          if (detr(ig, k)<0.) then
+          if (detr(ig, k)<0.) THEN
             entr(ig, k) = entr(ig, k) - detr(ig, k)
             detr(ig, k) = 0.
@@ -82,8 +81,8 @@
             !     s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
           endif
-          if (fm(ig, k + 1)<0.) then
+          if (fm(ig, k + 1)<0.) THEN
             !               PRINT*,'fm2<0!!!'
           endif
-          if (entr(ig, k)<0.) then
+          if (entr(ig, k)<0.) THEN
             !               PRINT*,'entr2<0!!!'
           endif
@@ -99,5 +98,5 @@
         do ig = 1, ngrid
           if ((fm(ig, k + 1) + detr(ig, k)) * ptimestep>  &
-                  1.e-5 * masse(ig, k)) then
+                  1.e-5 * masse(ig, k)) THEN
             qa(ig, k) = (fm(ig, k) * qa(ig, k - 1) + entr(ig, k) * q(ig, k))  &
                     / (fm(ig, k + 1) + detr(ig, k))
@@ -105,8 +104,8 @@
             qa(ig, k) = q(ig, k)
           endif
-          if (qa(ig, k)<0.) then
+          if (qa(ig, k)<0.) THEN
             !               PRINT*,'qa<0!!!'
           endif
-          if (q(ig, k)<0.) then
+          if (q(ig, k)<0.) THEN
             !               PRINT*,'q<0!!!'
           endif
@@ -122,5 +121,5 @@
 
       ! Trace species evolution
-      if (impl==0) then
+      if (impl==0) THEN
         do k = 1, nlay - 1
           q(:, k) = q(:, k) + (fqa(:, k) - fqa(:, k + 1) - fm(:, k) * q(:, k) + fm(:, k + 1) * q(:, k + 1)) &
@@ -201,5 +200,5 @@
         zzm = masse(ig, k) / ptimestep
         cfl = max(cfl, fm(ig, k) / zzm)
-        if (entr(ig, k)>zzm) then
+        if (entr(ig, k)>zzm) THEN
           PRINT*, 'entr*dt>m,2', k, entr(ig, k) * ptimestep, masse(ig, k)
           abort_message = 'entr dt > m, 2nd'
@@ -231,5 +230,5 @@
           !           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
           !test
-          if (detr(ig, k)<0.) then
+          if (detr(ig, k)<0.) THEN
             entr(ig, k) = entr(ig, k) - detr(ig, k)
             detr(ig, k) = 0.
@@ -237,8 +236,8 @@
             !     s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
           endif
-          if (fm(ig, k + 1)<0.) then
+          if (fm(ig, k + 1)<0.) THEN
             !               PRINT*,'fm2<0!!!'
           endif
-          if (entr(ig, k)<0.) then
+          if (entr(ig, k)<0.) THEN
             !               PRINT*,'entr2<0!!!'
           endif
@@ -254,5 +253,5 @@
         do ig = 1, ngrid
           if ((fm(ig, k + 1) + detr(ig, k)) * ztimestep>  &
-                  1.e-5 * masse(ig, k)) then
+                  1.e-5 * masse(ig, k)) THEN
             qa(ig, k) = (fm(ig, k) * qa(ig, k - 1) + entr(ig, k) * q(ig, k))  &
                     / (fm(ig, k + 1) + detr(ig, k))
@@ -260,8 +259,8 @@
             qa(ig, k) = q(ig, k)
           endif
-          if (qa(ig, k)<0.) then
+          if (qa(ig, k)<0.) THEN
             !               PRINT*,'qa<0!!!'
           endif
-          if (q(ig, k)<0.) then
+          if (q(ig, k)<0.) THEN
             !               PRINT*,'q<0!!!'
           endif
@@ -282,5 +281,5 @@
           ! Schema avec advection sur plus qu'une maille.
           zzm = masse(ig, k) / ztimestep
-          if (fm(ig, k)>zzm) then
+          if (fm(ig, k)>zzm) THEN
             wqd(ig, k) = zzm * q(ig, k) + (fm(ig, k) - zzm) * q(ig, k + 1)
           else
@@ -292,5 +291,5 @@
 #endif
 
-          if (wqd(ig, k)<0.) then
+          if (wqd(ig, k)<0.) THEN
             !               PRINT*,'wqd<0!!!'
           endif
@@ -309,5 +308,5 @@
                   - wqd(ig, k) + wqd(ig, k + 1))  &
                   * ztimestep / masse(ig, k)
-          !            if (dq(ig,k).lt.0.) then
+          !            if (dq(ig,k).lt.0.) THEN
           !               PRINT*,'dq<0!!!'
           !            endif
@@ -326,5 +325,5 @@
     enddo
 
-    return
+    RETURN
   end
 END MODULE lmdz_thermcell_dq
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5116)
@@ -73,6 +73,5 @@
        do l=1,nlay-2
          do ig=1,ngrid
-            if (l==lmin(ig).and.lalim(ig)>1) then
-
+            if (l==lmin(ig).and.lalim(ig)>1) THEN
 !------------------------------------------------------------------------
 !  Calcul de la vitesse en haut de la premiere couche instable.
@@ -93,6 +92,5 @@
 !------------------------------------------------------------------------
 
-            else if (zw2(ig,l)>=1e-10) then
-
+            else if (zw2(ig,l)>=1e-10) THEN
                ztva(ig,l)=(f_star(ig,l)*ztva(ig,l-1)+alim_star(ig,l)  &
                       *ztv(ig,l))/f_star(ig,l+1)
@@ -104,5 +102,5 @@
 !------------------------------------------------------------------------
 
-            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1)<1.e-10) then
+            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1)<1.e-10) THEN
 !               stop 'On tombe sur le cas particulier de thermcell_dry'
 !               PRINT*,'On tombe sur le cas particulier de thermcell_dry'
@@ -112,5 +110,5 @@
             endif
 
-            if (zw2(ig,l+1)<0.) then
+            if (zw2(ig,l+1)<0.) THEN
                linter(ig)=(l*(zw2(ig,l+1)-zw2(ig,l))  &
              -zw2(ig,l))/(zw2(ig,l+1)-zw2(ig,l))
@@ -119,5 +117,5 @@
 !            endif
 !CR:zmax continu 06/05/12: calcul de linter quand le thermique est stoppe par le detrainement
-            elseif (f_star(ig,l+1)<0.) then
+            elseif (f_star(ig,l+1)<0.) THEN
                linter(ig)=(l*(f_star(ig,l+1)-f_star(ig,l))  &
              -f_star(ig,l))/(f_star(ig,l+1)-f_star(ig,l))
@@ -128,5 +126,5 @@
                wa_moy(ig,l+1)=sqrt(zw2(ig,l+1))
 
-            if (wa_moy(ig,l+1)>wmaxa(ig)) then
+            if (wa_moy(ig,l+1)>wmaxa(ig)) THEN
 !   lmix est le niveau de la couche ou w (wa_moy) est maximum
                lmix(ig)=l+1
@@ -144,5 +142,5 @@
       do l=1,nlay
          do ig=1,ngrid
-            if (l<=lmax(ig)) then
+            if (l<=lmax(ig)) THEN
                 zw2(ig,l)=sqrt(zw2(ig,l))
                 wmax(ig)=max(wmax(ig),zw2(ig,l))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5116)
@@ -27,5 +27,5 @@
 
 
-      real :: zzm
+      REAL :: zzm
 
       integer ig,k
@@ -70,9 +70,9 @@
 
 
-    if (1==1) then
+    if (1==1) THEN
       do k=2,nlay
          do ig=1,ngrid
             if ((fm(ig,k+1)+detr(ig,k))*ptimestep>  &
-           1.e-5*masse(ig,k)) then
+           1.e-5*masse(ig,k)) THEN
          qa(ig,k)=(fm(ig,k)*qa(ig,k-1)+entr(ig,k)*q(ig,k))  &
            /(fm(ig,k+1)+detr(ig,k))
@@ -80,8 +80,8 @@
                qa(ig,k)=q(ig,k)
             endif
-            if (qa(ig,k)<0.) then
+            if (qa(ig,k)<0.) THEN
 !               PRINT*,'qa<0!!!'
             endif
-            if (q(ig,k)<0.) then
+            if (q(ig,k)<0.) THEN
 !               PRINT*,'q<0!!!'
             endif
@@ -94,5 +94,5 @@
          do ig=1,ngrid
             wqd(ig,k)=fm(ig,k)*q(ig,k)
-            if (wqd(ig,k)<0.) then
+            if (wqd(ig,k)<0.) THEN
 !               PRINT*,'wqd<0!!!'
             endif
@@ -120,5 +120,5 @@
 END DO
 
-      return
+      RETURN
       end
 END MODULE lmdz_thermcell_dtke
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5116)
@@ -73,5 +73,5 @@
          do ig=1,ngrid
             ltherm(ig,k)=(fm(ig,k+1)+detr(ig,k))*ptimestep > 1.e-5*masse(ig,k)
-            if(ltherm(ig,k).and.larga(ig)>0.) then
+            IF(ltherm(ig,k).and.larga(ig)>0.) THEN
                gamma0(ig,k)=masse(ig,k)  &
            *sqrt( 0.5*(fraca(ig,k+1)+fraca(ig,k)) )  &
@@ -90,5 +90,5 @@
 
          do ig=1,ngrid
-            if (ltherm(ig,k)) then
+            if (ltherm(ig,k)) THEN
                dua(ig,k)=ua(ig,k-1)-u(ig,k-1)
                dva(ig,k)=va(ig,k-1)-v(ig,k-1)
@@ -116,5 +116,5 @@
 !  par le module du vent dans la couche en dessous.
 !  Mais pourquoi donc ???
-               if (ltherm(ig,k)) then
+               if (ltherm(ig,k)) THEN
 !   On choisit une relaxation lineaire.
 !                 gamma(ig,k)=gamma0(ig,k)
@@ -177,5 +177,5 @@
 !----------------------
 
-   if(prt_level>=10) then
+   IF(prt_level>=10) THEN
       do k=1,nlay
          do ig=1,ngrid
@@ -187,5 +187,5 @@
    endif
 
-     if (nlarga0>0) then
+     if (nlarga0>0) THEN
           PRINT*,'WARNING !!!!!! DANS THERMCELL_DV2 '
           PRINT*,nlarga0,' points pour lesquels laraga=0. dans un thermique'
@@ -193,5 +193,5 @@
      endif
 
-      return
+      RETURN
       end
 END MODULE lmdz_thermcell_dv2
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5116)
@@ -85,5 +85,5 @@
    do ig=1,ngrid
       do ll=1,nlay-1
-         if ((zh(ig,ll)>273.15).and.(zh(ig,ll+1)<=273.15)) then
+         if ((zh(ig,ll)>273.15).and.(zh(ig,ll+1)<=273.15)) THEN
             lcong(ig)=ll+1
             lintercong(ig)=(ll*(zh(ig,ll+1)-zh(ig,ll))  &
